import Editor from '../index';
import { IIndexedDBService } from '@modules/editor/service/storage';
export type Services = {
    IndexedDBService: IIndexedDBService;
};
declare class EditorStorage {
    #private;
    constructor(editor: Editor, services: Services);
    init(): void;
    getDataAll(): Promise<IDBRequest<any>>;
    patch(data: any, id: number | string): void;
    save(data: any, id?: number | string): void;
}
export default EditorStorage;
